%define rname m2crypto
%define name python-%rname
%define ver 0.13
%define rel 2mdk

%define version %ver
%define release %rel

Summary: 	Crypto and SSL toolkit for Python
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	%{rname}-%{ver}.tar.bz2
License:	Historical Permission Notice and Disclaimer
Group: 		Development/Python
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
Url: 		http://sandbox.rulemaker.net/ngps/m2/
BuildRequires:	python-devel swig openssl-devel

%description
M2Crypto is a crypto and SSL toolkit for Python featuring the following:

    * RSA, DSA, DH, HMACs, message digests, symmetric ciphers (including AES).
    * SSL functionality to implement clients and servers.
    * HTTPS extensions to Python's httplib, urllib, and xmlrpclib.
    * Unforgeable HMAC'ing AuthCookies for web session management.
    * FTP/TLS client and server.
    * S/MIME.
    * ZServerSSL: A HTTPS server for Zope.
    * ZSmime: An S/MIME messenger for Zope.

%prep
%setup -q -n %{rname}-%ver

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/python2.3/site-packages/M2Crypto/
%doc BUGS CHANGES README README.Developers INSTALL LICENCE

%changelog
* Sun May 30 2004 Pascal Terjan <pterjan@mandrake.org> 0.13-2mdk
- FIx DIRM

* Mon Apr 19 2004 Pascal Terjan <pterjan@mandrake.org> 0.13-1mdk
- First Mandrake package
